program project1;

{$mode objfpc}{$H+}

uses
  HTTPDefs,
  custweb,
  custhttpapp,
  sysutils;

type

  { TMyHttpApplication }

  TMyHttpApplication = class(TCustomHttpApplication)
  protected
    function InitializeWebHandler: TWebHandler; override;
  end;

  { TMyHttpServerHandler }

  TMyHttpServerHandler = class(TFPHttpServerHandler)
  public
    procedure HandleRequest(ARequest: TRequest; AResponse: TResponse); override;
  end;

  { TMyHttpApplication }

  function TMyHttpApplication.InitializeWebHandler: TWebHandler;
  begin
    Result := TMyHttpServerHandler.Create(Self);
  end;

  { TMyHttpServerHandler }

  procedure TMyHttpServerHandler.HandleRequest(ARequest: TRequest;
    AResponse: TResponse);
  begin
    AResponse.Content := DateTimeToStr(Now);
  end;

begin
  with TMyHttpApplication.Create(nil) do
  try
    Port := 1025;
    Run;
  finally
    Free;
  end;
end.
